MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025695Community[OCCT] OCCT:Visualizationpublic2015-01-10 14:272018-02-11 09:20
ReporterVico Liang 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0025695: Visualization, AIS_InteractiveContext - define default HilightMode
DescriptionAIS_InteractiveObject has hilight mode feature as below:
Standard_Boolean HasHilightMode() const;
Standard_Integer HilightMode() const;
void SetHilightMode (const Standard_Integer anIndex) ;
void UnsetHilightMode() ;

In most cad application, it's more preferable to set hilight mode in the interactive context instead of each interactive object. It would be nice to support hilight mode in AIS_InteractiveContext besides AIS_InteractiveObject.
TagsNo tags attached.
Test case numberbugs vis bug25695
Attached Files

- Relationships
related to 0027818closedkgv Open CASCADE Visualization - provide an interface to define highlight presentation properties 
related to 0027366closedbugmaster Community Z-Layer: Strange highlight behaviour 
parent of 0029500closedapn Community Visualization - AIS_Point dynamic highlighting is not drawn on RedrawImmediate 

-  Notes
(0042554)
kgv (developer)
2015-06-29 15:22
edited on: 2015-06-29 15:22

In OCCT each interactive object defines its own set of display modes.
Storing highlight mode in AIS_InteractiveContext would not make any sense in most applications not limited to AIS_Shape presentation objects.

(0060579)
git (administrator)
2016-11-20 19:48

Branch CR25695 has been created by kgv.

SHA-1: 95c1136834d6e3f375a34ac9442aac691cabc4a9


Detailed log of new commits:

Author: kgv
Date: Wed Nov 2 17:36:18 2016 +0300

    0025695: Visualization, AIS_InteractiveContext - define default HilightMode
    
    AIS_InteractiveContext - removed the following unused properties:
    - PreSelectionColor(), DefaultColor(), WasCurrentTouched(), ZDetection().
    
    Graphic3d_HighlightStyle has been extended with new properties:
    - ZLayer() defining Z-Layer for highlighting presentation.
    - DisplayMode() defining display mode for highlighting.
(0060580)
git (administrator)
2016-11-20 20:20

Branch CR25695 has been updated forcibly by kgv.

SHA-1: 54185d420d46f435cc03b19fca63d6be4143d6ce
(0060581)
git (administrator)
2016-11-20 20:28

Branch CR25695 has been updated forcibly by kgv.

SHA-1: 02e6aa028b23812b858ccd90236e2dda8b329cec
(0060645)
kgv (developer)
2016-11-21 18:21

Patch is ready for review.
(0060810)
git (administrator)
2016-11-28 13:36

Branch CR25695 has been updated forcibly by kgv.

SHA-1: f99a21256b684db132dd24a5cdddaa822926f0d8
(0060811)
git (administrator)
2016-11-28 13:41

Branch CR25695 has been updated forcibly by kgv.

SHA-1: 7ce053ebbfde43da723008d768a52306decd661a
(0061026)
git (administrator)
2016-12-02 14:19

Branch CR25695 has been updated forcibly by kgv.

SHA-1: a6564399392ed8c1f7cef64ea69a03919e468cc7
(0061039)
git (administrator)
2016-12-02 22:16

Branch CR25695 has been updated by kgv.

SHA-1: 2fd32a8b4dff307f6f20841850493568f91403aa


Detailed log of new commits:

Author: kgv
Date: Fri Dec 2 22:16:10 2016 +0300

    Prs3d_Drawer - removed properties HighlightStyle() and SelectionStyle().
    Prs3d_Drawer now inherits class Graphic3d_PresentationAttributes.

(0061040)
git (administrator)
2016-12-02 22:50

Branch CR25695 has been updated forcibly by kgv.

SHA-1: 41e5d576c9a4337dd96aedb33f53a37f3345cc03
(0061041)
git (administrator)
2016-12-02 23:12

Branch CR25695 has been updated by kgv.

SHA-1: 3d3e6a7fcc28ec883c7e6902b29ce23ae57541ef


Detailed log of new commits:

Author: kgv
Date: Fri Dec 2 22:16:10 2016 +0300

    corrections

(0061042)
git (administrator)
2016-12-02 23:24

Branch CR25695 has been updated forcibly by kgv.

SHA-1: e2967bfd7a8b4f854ae18c3c66aea1bcac74eb8d
(0061043)
git (administrator)
2016-12-03 10:58

Branch CR25695 has been updated by kgv.

SHA-1: f3190ce472bdae65a1460876dfc55899baf231c8


Detailed log of new commits:

Author: kgv
Date: Sat Dec 3 10:58:42 2016 +0300

    PrsMgr_PresentableObject::myZLayer has been replaced by myDrawer->ZLayer()

(0061044)
git (administrator)
2016-12-03 13:33

Branch CR25695 has been updated by kgv.

SHA-1: 9c94eaa540a2d2fc8866eaf4a5ec63167fcc4d58


Detailed log of new commits:

Author: kgv
Date: Sat Dec 3 13:32:48 2016 +0300

    PrsMgr_PresentationManager::Unhighlight() now unhighlight all modes.
    The method taking Mode as argument has been marked deprecated.

(0061045)
git (administrator)
2016-12-03 14:22

Branch CR25695 has been updated by kgv.

SHA-1: 53ee2a35fa601d644a190b049fc17ee20a91cecf


Detailed log of new commits:

Author: kgv
Date: Sat Dec 3 14:22:15 2016 +0300

    Porting notes

(0061046)
git (administrator)
2016-12-03 14:27

Branch CR25695_1 has been created by kgv.

SHA-1: f83330c8d5c295014e40b67a52b52a89fa4c63d8


Detailed log of new commits:

Author: kgv
Date: Wed Nov 2 17:36:18 2016 +0300

    0025695: Visualization, AIS_InteractiveContext - define default HilightMode
    
    AIS_InteractiveContext - removed the following unused properties:
    - PreSelectionColor(), DefaultColor(), WasCurrentTouched(), ZDetection().
    AIS_InteractiveObject - removed unused property SelectionPriority().
    
    Prs3d_Drawer - removed properties HighlightStyle() and SelectionStyle().
    Graphic3d_HighlightStyle has been superseded by Prs3d_Drawer
    inheriting from new class Graphic3d_PresentationAttributes.
    
    Graphic3d_PresentationAttributes (as Graphic3d_HighlightStyle replacement)
    has been extended with new properties:
    - ZLayer() defining Z-Layer for highlighting presentation.
    - DisplayMode() defining display mode for highlighting.
    
    StdSelect_BRepSelectionTool methods have been corrected to take
    SelectMgr_EntityOwner instead of StdSelect_BRepOwner.
    
    AIS_InteractiveObject - myDrawer->Color() is now used instead of myOwnColor,
    myDrawer->Transparency() instead of myTransparency
    and myDrawer->ZLayer() instead of myZLayer.
    
    PrsMgr_PresentationManager::Unhighlight() now unhighlight all modes.
    The method taking Mode as argument has been marked deprecated.
(0061047)
kgv (developer)
2016-12-03 14:48

Updated patch is ready for review.
(0061048)
git (administrator)
2016-12-04 11:50

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: bbf1968443ac09363db5dbfecdfb30b909f89544
(0061049)
git (administrator)
2016-12-04 12:06

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: dbaa1e280f99945dfb5dce23fc7f034ea64d7d7e
(0061050)
git (administrator)
2016-12-04 12:43

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: 0f22bcd2fc1c155307f945a62fa16e29af7cef43
(0061051)
git (administrator)
2016-12-04 12:47

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: 9b19ca8d2219e9f6cab705cc9a00953fd9bd0f20
(0061052)
git (administrator)
2016-12-04 15:59

Branch CR25695_1 has been updated by kgv.

SHA-1: e39a9218698d21b9b7888e8fe7bc8eb7ec9e65f7


Detailed log of new commits:

Author: kgv
Date: Wed Nov 2 17:36:18 2016 +0300

    AIS_InteractiveObject - split highlight styles for Global and Local selection.
    
    New enumeration Prs3d_TypeOfHighlight has been introduced
    defining different highlight types.
    
    ComesFromDecomposition() property has been moved
    from StdSelect_BRepOwner to SelectMgr_EntityOwner.

(0061055)
git (administrator)
2016-12-04 19:32

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: e58128d752a56d269a3f703203acf7e87213b418
(0061056)
git (administrator)
2016-12-04 19:35

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: 51c5d0f18582b2ad0d7ae208d86e6bc92fa46df3
(0061057)
git (administrator)
2016-12-04 23:31

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: 405ce19a588e1b77b04ea70c33a5fa35867b824e
(0061058)
git (administrator)
2016-12-04 23:59

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: 6c4c4b69880258d5425aab74552a7d0728bdb077
(0061062)
git (administrator)
2016-12-05 10:50

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: c8d6767c6edb9829ddb4bb7d5dca6600639aa50a
(0061161)
git (administrator)
2016-12-06 23:11

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: 2df6a8a6b36887ee93eee01d1920147451f6d252
(0061162)
san (developer)
2016-12-06 23:40

Branch CR25695_1 in occt and occt-products reviewed without remarks, ready for testing.
(0061463)
mkv (tester)
2016-12-07 13:39

Dear BugMaster,
Branch CR25695_1 from occt git-repository (and CR25695_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2df6a8a6b36887ee93eee01d1920147451f6d252
SHA-1: 534343f772248db92c7fd9a4685f9ff8aef07233
There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR25695_1-CR25695_1/job/CR25695_1-CR25695_1-Products-Debian70-64-opt-compile/1/parsed_console/ [^]
/dn54/builds/CR25695_1-CR25695_1/Debian70-64-opt/Products/src/PMIVis/PMIVis_Info.cxx:31:38: fatal error: Select3d_SensitiveFace.hxx: No such file or directory
(0061464)
mkv (tester)
2016-12-07 13:40

Dear kgv,
Branch CR25695_1 has been rejected due to:
- compilation errors
(0061468)
kgv (developer)
2016-12-07 13:56

I have pushed branch to Products repository rebased on current master - there no such compilation errors.
(0061494)
mkv (tester)
2016-12-08 14:07

Dear BugMaster,
Branch CR25695_1 from occt git-repository (and CR25695_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2df6a8a6b36887ee93eee01d1920147451f6d252
SHA-1: cb8d96afbbed9fc3f97c1782c80acf3ead223ad0
There are following compilation errors:
Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR25695_1-CR25695_1/job/CR25695_1-CR25695_1-Products-Windows-64-VC10-csharp-samples/2/parsed_console/ [^]
2>------ Build started: Project: OCCCSharp, Configuration: Release x64 ------
d:\install\CR25695_1-CR25695_1\Windows-64-VC10-opt\Products\samples\csharp\OCCCSharp\Wrappers\Prs3d_Drawer.cs(1190,36): warning CS0109: The member 'Prs3d.Prs3d_Drawer.DownCast(Standard.Standard_Transient)' does not hide an inherited member. The new keyword is not required.
d:\install\CR25695_1-CR25695_1\Windows-64-VC10-opt\Products\samples\csharp\OCCCSharp\Wrappers\Prs3d_Drawer.cs(55,48): error CS0103: The name 'checkTransientInheritance' does not exist in the current context
d:\install\CR25695_1-CR25695_1\Windows-64-VC10-opt\Products\samples\csharp\OCCCSharp\Wrappers\AIS_CustomInteractiveObject.cs(88,5): error CS1502: The best overloaded method match for 'PrsMgr.PrsMgr_PresentableObject.SetDynamicHilightAttributes(SWIG.SWIGTYPE_p_opencascade__handleT_Prs3d_Drawer_t)' has some invalid arguments
d:\install\CR25695_1-CR25695_1\Windows-64-VC10-opt\Products\samples\csharp\OCCCSharp\Wrappers\AIS_CustomInteractiveObject.cs(88,34): error CS1503: Argument 1: cannot convert from 'Prs3d.Prs3d_Drawer' to 'SWIG.SWIGTYPE_p_opencascade__handleT_Prs3d_Drawer_t'
Compile complete -- 3 errors, 1 warnings

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR25695_1-CR25695_1/job/CR25695_1-CR25695_1-Products-Windows-64-VC10-java-samples/2/parsed_console/ [^]
OCCwrapJavaJNI.java:21746: error: incompatible types: Prs3d_Drawer cannot be converted to SWIGTYPE_p_opencascade__handleT_Prs3d_Drawer_t
1 error

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR25695_1-CR25695_1/job/CR25695_1-CR25695_1-Products-Windows-64-VC10-mfc-samples/2/parsed_console/ [^]
1>src\Kernel_MeshPrs.cxx(238): error C2065: 'myTransparency' : undeclared identifier
1>src\Kernel_MeshPrs.cxx(257): error C2065: 'myTransparency' : undeclared identifier

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 2 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1139

There are new additional compilation warnings on MacOS platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR25695_1-CR25695_1-OCCT-MacOS-opt-compile/1/warnings7Result/ [^]
AIS_MultipleConnectedInteractive.cxx:51, Clang (LLVM based), Priority: Normal
'Selectable' overrides a member function but is not marked 'override'
StdSelect_Shape.hxx:57, Clang (LLVM based), Priority: Normal
'SetAttributes' overrides a member function but is not marked 'override'

Regressions/Differences/Improvements:
http://occt-tests/CR25695_1-CR25695_1-Products/Debian70-64/pmivis/import/select.html [^]
http://occt-tests/CR25695_1-CR25695_1-Products/Windows-64-VC10/pmivis/import/select.html [^]
pmivis import select: FAILED

Testing cases:
http://occt-tests/CR25695_1-CR25695_1-OCCT/Debian70-64/bugs/vis/bug25695.html [^]
http://occt-tests/CR25695_1-CR25695_1-OCCT/Windows-64-VC10/bugs/vis/bug25695.html [^]
bugs vis bug25695: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91470594 / 91438072 [+0.04%]
Total CPU difference: 21931.110000000313 / 21816.29000000019 [+0.53%]
products component :
Total MEMORY difference: 29864487 / 29803095 [+0.21%]
Total CPU difference: 5296.029999999967 / 5308.749999999961 [-0.24%]

Testing on Windows:
occt component :
Total MEMORY difference: 56942301 / 56944788 [-0.00%]
Total CPU difference: 20525.784774698488 / 20501.5734194986 [+0.12%]
products component :
Total MEMORY difference: 20860564 / 20808844 [+0.25%]
Total CPU difference: 5260.088518299974 / 5254.222880699978 [+0.11%]

There are following differences in images found by testdiff.
http://occt-tests/CR25695_1-CR25695_1-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25695_1-CR25695_1-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE bugs vis bug27986_2: bug27986_2.png differs
IMAGE bugs vis bug27817: bug27817.png differs
(0061495)
mkv (tester)
2016-12-08 14:08

Dear kgv,
Branch CR25695_1 has been rejected due to:
- compilation errors
- additional warnings
- regressions/differences/improvements
- differences in images
(0061496)
git (administrator)
2016-12-08 14:31

Branch CR25695_1 has been updated by kgv.

SHA-1: 6924632894ae909a92ae0c88f3641f30953865da


Detailed log of new commits:

Author: kgv
Date: Thu Dec 8 14:31:05 2016 +0300

    StdSelect_Shape - duplicated field myDrawer has been dropped.
    SelectMgr_AssemblyEntityOwner::Selectable() - added missing override keyword.

(0061497)
git (administrator)
2016-12-08 14:56

Branch CR25695_1 has been updated forcibly by kgv.

SHA-1: a8181fc478a9f2163d9872d19161e0259c210155
(0061499)
kgv (developer)
2016-12-08 15:03

> IMAGE bugs vis bug27986_2: bug27986_2.png differs
> IMAGE bugs vis bug27817: bug27817.png differs
This difference is expected.
Other issues should be fixed now - please re-check updated patch.
(0061509)
mkv (tester)
2016-12-08 19:01

Dear kgv,
could you please rebase branch CR25695_1 on IR-2016-12-08 of occt git-repository, there are conflict files.
(0061511)
git (administrator)
2016-12-08 19:13

Branch CR25695_2 has been created by kgv.

SHA-1: 7e4f0b7f31a2b3f81b7114d204f5a458aa3e1875


Detailed log of new commits:

Author: kgv
Date: Wed Nov 2 17:36:18 2016 +0300

    0025695: Visualization, AIS_InteractiveContext - define default HilightMode
    
    AIS_InteractiveContext - removed the following unused properties:
    - PreSelectionColor(), DefaultColor(), WasCurrentTouched(), ZDetection().
    AIS_InteractiveObject - removed unused property SelectionPriority().
    
    Prs3d_Drawer - removed properties HighlightStyle() and SelectionStyle().
    Graphic3d_HighlightStyle has been superseded by Prs3d_Drawer
    inheriting from new class Graphic3d_PresentationAttributes.
    
    Graphic3d_PresentationAttributes (as Graphic3d_HighlightStyle replacement)
    has been extended with new properties:
    - ZLayer() defining Z-Layer for highlighting presentation.
    - DisplayMode() defining display mode for highlighting.
    
    StdSelect_BRepSelectionTool methods have been corrected to take
    SelectMgr_EntityOwner instead of StdSelect_BRepOwner.
    StdSelect_Shape - duplicated field myDrawer has been dropped.
    
    AIS_InteractiveObject - myDrawer->Color() is now used instead of myOwnColor,
    myDrawer->Transparency() instead of myTransparency
    and myDrawer->ZLayer() instead of myZLayer.
    
    PrsMgr_PresentationManager::Unhighlight() now unhighlight all modes.
    The method taking Mode as argument has been marked deprecated.
    
    New enumeration Prs3d_TypeOfHighlight has been introduced
    defining different highlight types.
    AIS_InteractiveObject::HighlightStyle() now takes enumeration argument
    and defines different styles for Global and Local selection.
    
    ComesFromDecomposition() property has been moved
    from StdSelect_BRepOwner to SelectMgr_EntityOwner.
(0061514)
kgv (developer)
2016-12-08 19:16

The patch has been rebased (branch CR25695_2), upgrade guide has been merged.
(0061530)
mkv (tester)
2016-12-09 17:58

Dear BugMaster,
Branch CR25695_2 from occt git-repository (and CR25695_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 7e4f0b7f31a2b3f81b7114d204f5a458aa3e1875
SHA-1: e9450318acc199a4be506e3f0920cd62dc3a2f57
 There are following compilation errors:
Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR25695_2-CR25695_2/job/CR25695_2-CR25695_2-Products-Windows-64-VC10-csharp-samples/1/parsed_console/ [^]
d:\install\CR25695_2-CR25695_2\Windows-64-VC10-opt\Products\samples\csharp\OCCCSharp\Wrappers\AIS_CustomInteractiveObject.cs(88,5): error CS1502: The best overloaded method match for 'PrsMgr.PrsMgr_PresentableObject.SetDynamicHilightAttributes(SWIG.SWIGTYPE_p_opencascade__handleT_Prs3d_Drawer_t)' has some invalid arguments
d:\install\CR25695_2-CR25695_2\Windows-64-VC10-opt\Products\samples\csharp\OCCCSharp\Wrappers\AIS_CustomInteractiveObject.cs(88,34): error CS1503: Argument 1: cannot convert from 'Prs3d.Prs3d_Drawer' to 'SWIG.SWIGTYPE_p_opencascade__handleT_Prs3d_Drawer_t'

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR25695_2-CR25695_2/job/CR25695_2-CR25695_2-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]
OCCwrapJavaJNI.java:21764: error: incompatible types: Prs3d_Drawer cannot be converted to SWIGTYPE_p_opencascade__handleT_Prs3d_Drawer_t

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR25695_2-CR25695_2/job/CR25695_2-CR25695_2-Products-Windows-64-VC10-mfc-samples/1/parsed_console/ [^]
1>Kernel\Kernel_MeshPrs.cxx(531): error C2065: 'myTransparency' : undeclared identifier
1>Kernel\Kernel_MeshPrs.cxx(557): error C2065: 'myTransparency' : undeclared identifier

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1138

Regressions/Differences/Improvements:
http://occt-tests/CR25695_2-CR25695_2-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR25695_2-CR25695_2-OCCT/Windows-64-VC10/summary.html [^]
Failed:
  bugs vis bug1786, bug7186, bug23539_1, bug23539_2, bug23649_1, bug23649_2, bug24966, bug25335, bug26147, bug26172, bug26209, bug26430, bug26721
  v3d vertex B3, B4, B5, B6, B7, B8, B9, C1

http://occt-tests/CR25695_2-CR25695_2-Products/Debian70-64/pmivis/import/select.html [^]
http://occt-tests/CR25695_2-CR25695_2-Products/Windows-64-VC10/pmivis/import/select.html [^]
pmivis import select: FAILED

Testing cases:
http://occt-tests/CR25695_2-CR25695_2-OCCT/Debian70-64/bugs/vis/bug25695.html [^]
http://occt-tests/CR25695_2-CR25695_2-OCCT/Windows-64-VC10/bugs/vis/bug25695.html [^]
bugs vis bug25695: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93345735 / 92651729 [+0.75%]
Total CPU difference: 21605.24000000014 / 21536.050000000276 [+0.32%]
products component :
Total MEMORY difference: 30085093 / 30078149 [+0.02%]
Total CPU difference: 5343.94999999998 / 5302.72999999998 [+0.78%]

Testing on Windows:
occt component :
Total MEMORY difference: 58454758 / 58458666 [-0.01%]
Total CPU difference: 20050.059725198407 / 20176.670136798508 [-0.63%]
products component :
Total MEMORY difference: 20894701 / 20859840 [+0.17%]
Total CPU difference: 5294.954741799973 / 5125.865257899959 [+3.30%]

There are following differences in images found by testdiff.
http://occt-tests/CR25695_2-CR25695_2-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25695_2-CR25695_2-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE bugs vis bug26973: bug26973_obj_with_trsf.png differs
IMAGE bugs vis bug26973: bug26973_view_with_trsf.png differs
IMAGE bugs vis bug26973: bug26973_obj_wo_trsf.png differs
IMAGE bugs vis bug26973: bug26973_view_wo_trsf.png differs
IMAGE bugs vis bug27986_2: bug27986_2.png differs - This difference is expected
IMAGE bugs vis bug27817: bug27817.png differs - This difference is expected
(0061531)
mkv (tester)
2016-12-09 17:59

Dear kgv,
Branch CR25695_2 has been rejected due to:
- compilation errors
- regressions/differences/improvements
- differences in images
(0061551)
git (administrator)
2016-12-10 12:22

Branch CR25695_2 has been updated forcibly by kgv.

SHA-1: b2f249258e250c3b9b90f60ae4a2f2e869166125
(0061552)
git (administrator)
2016-12-10 12:23

Branch CR25695_2 has been updated by kgv.

SHA-1: 1c97a4bc184c73959d32549640b3a2197f9c8898


Detailed log of new commits:

Author: kgv
Date: Sat Dec 10 12:22:57 2016 +0300

    StdSelect_Shape - set highlighting style as a link to the own drawer.

(0061557)
git (administrator)
2016-12-10 17:15

Branch CR25695_3 has been created by kgv.

SHA-1: 17d0542a475bc9c5ec57cb3f9a55ab2592c2362a


Detailed log of new commits:

Author: kgv
Date: Wed Nov 2 17:36:18 2016 +0300

    0025695: Visualization, AIS_InteractiveContext - define default HilightMode
    
    AIS_InteractiveContext - removed the following unused properties:
    - PreSelectionColor(), DefaultColor(), WasCurrentTouched(), ZDetection().
    AIS_InteractiveObject - removed unused property SelectionPriority().
    
    Prs3d_Drawer - removed properties HighlightStyle() and SelectionStyle().
    Graphic3d_HighlightStyle has been superseded by Prs3d_Drawer
    inheriting from new class Graphic3d_PresentationAttributes.
    
    Graphic3d_PresentationAttributes (as Graphic3d_HighlightStyle replacement)
    has been extended with new properties:
    - ZLayer() defining Z-Layer for highlighting presentation.
    - DisplayMode() defining display mode for highlighting.
    
    StdSelect_BRepSelectionTool methods have been corrected to take
    SelectMgr_EntityOwner instead of StdSelect_BRepOwner.
    StdSelect_Shape - duplicated field myDrawer has been dropped.
    
    AIS_InteractiveObject - myDrawer->Color() is now used instead of myOwnColor,
    myDrawer->Transparency() instead of myTransparency
    and myDrawer->ZLayer() instead of myZLayer.
    
    PrsMgr_PresentationManager::Unhighlight() now unhighlight all modes.
    The method taking Mode as argument has been marked deprecated.
    
    New enumeration Prs3d_TypeOfHighlight has been introduced
    defining different highlight types.
    AIS_InteractiveObject::HighlightStyle() now takes enumeration argument
    and defines different styles for Global and Local selection.
    
    ComesFromDecomposition() property has been moved
    from StdSelect_BRepOwner to SelectMgr_EntityOwner.
(0061558)
kgv (developer)
2016-12-10 17:16

Please test updated patch in branch CR25695_3.
(0061575)
git (administrator)
2016-12-12 13:05

Branch CR25695_3_edges has been created by kgv.

SHA-1: c90fd160523346c553a369e903b2b4af439b217d


Detailed log of new commits:

Author: kgv
Date: Mon Dec 12 12:54:25 2016 +0300

    0028213: Visualization, StdPrs_ShadedShape - compute face edges for triangulation-only Faces
(0061587)
mkv (tester)
2016-12-12 17:51

Dear BugMaster,
Branch CR25695_3 from occt git-repository (and CR25695_3 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 17d0542a475bc9c5ec57cb3f9a55ab2592c2362a
SHA-1: 77f3d44bb42f406272219abd7ecef0d174c6d3e2

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1137

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR25695_3-CR25695_3-OCCT/Debian70-64/bugs/vis/bug25695.html [^]
http://occt-tests/CR25695_3-CR25695_3-OCCT/Windows-64-VC10/bugs/vis/bug25695.html [^]
bugs vis bug25695: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93053591 / 92244004 [+0.88%]
Total CPU difference: 21594.29000000011 / 21539.100000000275 [+0.26%]
products component :
Total MEMORY difference: 30067814 / 30095445 [-0.09%]
Total CPU difference: 5323.639999999979 / 5303.47999999998 [+0.38%]

Testing on Windows:
occt component :
http://occt-tests/CR25695_3-CR25695_3-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html [^]
CPU v3d raytrace sample_cube_twosided: 9.3444599 / 4.5708293 [+104.44%]

Total MEMORY difference: 58459725 / 58458666 [+0.00%]
Total CPU difference: 20064.692618998626 / 20176.670136798508 [-0.55%]
products component :
Total MEMORY difference: 20894763 / 20859840 [+0.17%]
Total CPU difference: 5301.537983999972 / 5125.865257899959 [+3.43%]

There are following differences in images found by testdiff.
http://occt-tests/CR25695_3-CR25695_3-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25695_3-CR25695_3-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE bugs vis bug27986_2: bug27986_2.png differs - This difference is expected
IMAGE bugs vis bug27817: bug27817.png differs - This difference is expected
(0061588)
mkv (tester)
2016-12-12 17:51

Dear kgv,
Branch CR25695_3 has been rejected due to:
- CPU problems
(0061589)
kgv (developer)
2016-12-12 17:54

Please switch bug to TESTED.
(0061607)
git (administrator)
2016-12-13 12:36

Branch CR25695_3_edges has been updated by kgv.

SHA-1: 1c16470548fa46abac43dd0947347c920226641b


Detailed log of new commits:

Author: kgv
Date: Tue Dec 13 12:36:41 2016 +0300

    0028215: Visualization - define EMPTY type line for consistenct with Interior Style
    
    Added new values Aspect_TOL_EMPTY (line type) and Aspect_TOM_EMPTY (marker type).

(0061776)
git (administrator)
2016-12-18 10:52

Branch CR25695 has been deleted by kgv.

SHA-1: 53ee2a35fa601d644a190b049fc17ee20a91cecf
(0061777)
git (administrator)
2016-12-18 10:52

Branch CR25695_1 has been deleted by kgv.

SHA-1: a8181fc478a9f2163d9872d19161e0259c210155
(0061778)
git (administrator)
2016-12-18 10:52

Branch CR25695_2 has been deleted by kgv.

SHA-1: 1c97a4bc184c73959d32549640b3a2197f9c8898
(0061779)
git (administrator)
2016-12-18 10:52

Branch CR25695_3 has been deleted by kgv.

SHA-1: 17d0542a475bc9c5ec57cb3f9a55ab2592c2362a
(0061780)
git (administrator)
2016-12-18 10:52

Branch CR25695_3_edges has been deleted by kgv.

SHA-1: 1c16470548fa46abac43dd0947347c920226641b

- Related Changesets
occt: master f838dac4
Timestamp: 2016-11-02 14:36:18
Author: kgv
Committer: apn
Details ] Diff ]
0025695: Visualization, AIS_InteractiveContext - define default HilightMode

AIS_InteractiveContext - removed the following unused properties:
- PreSelectionColor(), DefaultColor(), WasCurrentTouched(), ZDetection().
AIS_InteractiveObject - removed unused property SelectionPriority().

Prs3d_Drawer - removed properties HighlightStyle() and SelectionStyle().
Graphic3d_HighlightStyle has been superseded by Prs3d_Drawer
inheriting from new class Graphic3d_PresentationAttributes.

Graphic3d_PresentationAttributes (as Graphic3d_HighlightStyle replacement)
has been extended with new properties:
- ZLayer() defining Z-Layer for highlighting presentation.
- DisplayMode() defining display mode for highlighting.

StdSelect_BRepSelectionTool methods have been corrected to take
SelectMgr_EntityOwner instead of StdSelect_BRepOwner.
StdSelect_Shape - duplicated field myDrawer has been dropped.

AIS_InteractiveObject - myDrawer->Color() is now used instead of myOwnColor,
myDrawer->Transparency() instead of myTransparency
and myDrawer->ZLayer() instead of myZLayer.

PrsMgr_PresentationManager::Unhighlight() now unhighlight all modes.
The method taking Mode as argument has been marked deprecated.

New enumeration Prs3d_TypeOfHighlight has been introduced
defining different highlight types.
AIS_InteractiveObject::HighlightStyle() now takes enumeration argument
and defines different styles for Global and Local selection.

ComesFromDecomposition() property has been moved
from StdSelect_BRepOwner to SelectMgr_EntityOwner.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/occtdemo/Common/ISession/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/ISession/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Face.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Face.h Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ColorScale.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_DimensionOwner.cxx Diff ] File ]
mod - src/AIS/AIS_DimensionOwner.hxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.cxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.hxx Diff ] File ]
rm - src/AIS/AIS_GlobalStatus.lxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
rm - src/AIS/AIS_InteractiveContext.lxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
rm - src/AIS/AIS_InteractiveObject.lxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LocalStatus.cxx Diff ] File ]
mod - src/AIS/AIS_LocalStatus.hxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.hxx Diff ] File ]
mod - src/AIS/AIS_ManipulatorOwner.cxx Diff ] File ]
mod - src/AIS/AIS_ManipulatorOwner.hxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_Relation.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.cxx Diff ] File ]
mod - src/AIS/AIS_Triangulation.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/FILES Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_HighlightStyle.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_PresentationAttributes.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ZLayerId.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshEntityOwner.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshEntityOwner.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshOwner.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshOwner.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/Prs3d/FILES Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
add - src/Prs3d/Prs3d_TypeOfHighlight.hxx Diff ] File ]
mod - src/PrsMgr/FILES Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
rm - src/PrsMgr/PrsMgr_Presentation.lxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff ] File ]
rm - src/PrsMgr/PrsMgr_PresentationManager.lxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_EntityOwner.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_EntityOwner.hxx Diff ] File ]
mod - src/SelectMgr/FILES Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.hxx Diff ] File ]
rm - src/SelectMgr/SelectMgr_EntityOwner.lxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.hxx Diff ] File ]
mod - src/StdSelect/FILES Diff ] File ]
mod - src/StdSelect/StdSelect_BRepOwner.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepOwner.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_Shape.lxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
rm - tests/bugs/vis/bug137_4 Diff ] File ]
rm - tests/bugs/vis/bug137_5 Diff ] File ]
add - tests/bugs/vis/bug25695 Diff ] File ]
mod - tests/v3d/materials/bug27818_1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-10 14:27 Vico Liang New Issue
2015-01-10 14:27 Vico Liang Assigned To => kgv
2015-04-06 13:03 kgv Target Version 6.9.0 => 7.1.0
2015-06-29 15:22 kgv Note Added: 0042554
2015-06-29 15:22 kgv Priority normal => low
2015-06-29 15:22 kgv Note Edited: 0042554 View Revisions
2016-10-13 15:59 kgv Relationship added related to 0027818
2016-10-25 09:24 kgv Target Version 7.1.0 => 7.2.0
2016-11-15 09:47 kgv Relationship added related to 0027366
2016-11-20 15:15 kgv Summary HilightMode support in AIS_InteractiveContext. => Visualization, AIS_InteractiveContext - define default HilightMode
2016-11-20 19:48 git Note Added: 0060579
2016-11-20 20:20 git Note Added: 0060580
2016-11-20 20:28 git Note Added: 0060581
2016-11-21 11:51 kgv Relationship added related to 0028029
2016-11-21 18:21 kgv Note Added: 0060645
2016-11-21 18:21 kgv Assigned To kgv => san
2016-11-21 18:21 kgv Status new => resolved
2016-11-28 13:36 git Note Added: 0060810
2016-11-28 13:41 git Note Added: 0060811
2016-12-01 11:06 kgv Assigned To san => kgv
2016-12-01 11:06 kgv Status resolved => assigned
2016-12-02 14:19 git Note Added: 0061026
2016-12-02 22:16 git Note Added: 0061039
2016-12-02 22:50 git Note Added: 0061040
2016-12-02 23:12 git Note Added: 0061041
2016-12-02 23:24 git Note Added: 0061042
2016-12-03 10:58 git Note Added: 0061043
2016-12-03 13:33 git Note Added: 0061044
2016-12-03 14:22 git Note Added: 0061045
2016-12-03 14:27 git Note Added: 0061046
2016-12-03 14:48 kgv Note Added: 0061047
2016-12-03 14:48 kgv Assigned To kgv => san
2016-12-03 14:48 kgv Status assigned => resolved
2016-12-04 11:50 git Note Added: 0061048
2016-12-04 12:06 git Note Added: 0061049
2016-12-04 12:43 git Note Added: 0061050
2016-12-04 12:47 git Note Added: 0061051
2016-12-04 15:59 git Note Added: 0061052
2016-12-04 19:32 git Note Added: 0061055
2016-12-04 19:35 git Note Added: 0061056
2016-12-04 23:31 git Note Added: 0061057
2016-12-04 23:59 git Note Added: 0061058
2016-12-05 10:50 git Note Added: 0061062
2016-12-06 23:11 git Note Added: 0061161
2016-12-06 23:40 san Note Added: 0061162
2016-12-06 23:40 san Assigned To san => bugmaster
2016-12-06 23:40 san Status resolved => reviewed
2016-12-07 11:07 mkv Assigned To bugmaster => mkv
2016-12-07 13:39 mkv Note Added: 0061463
2016-12-07 13:40 mkv Note Added: 0061464
2016-12-07 13:40 mkv Assigned To mkv => kgv
2016-12-07 13:40 mkv Status reviewed => assigned
2016-12-07 13:56 kgv Note Added: 0061468
2016-12-07 13:56 kgv Assigned To kgv => bugmaster
2016-12-07 13:56 kgv Status assigned => resolved
2016-12-07 13:56 kgv Status resolved => reviewed
2016-12-07 13:58 kgv Priority low => normal
2016-12-07 14:19 mkv Assigned To bugmaster => mkv
2016-12-08 14:07 mkv Note Added: 0061494
2016-12-08 14:08 mkv Note Added: 0061495
2016-12-08 14:08 mkv Assigned To mkv => kgv
2016-12-08 14:08 mkv Status reviewed => assigned
2016-12-08 14:08 mkv Test case number => bugs vis bug25695
2016-12-08 14:31 git Note Added: 0061496
2016-12-08 14:56 git Note Added: 0061497
2016-12-08 15:03 kgv Note Added: 0061499
2016-12-08 15:03 kgv Assigned To kgv => bugmaster
2016-12-08 15:03 kgv Status assigned => resolved
2016-12-08 15:03 kgv Status resolved => reviewed
2016-12-08 15:24 mkv Assigned To bugmaster => mkv
2016-12-08 19:01 mkv Note Added: 0061509
2016-12-08 19:01 mkv Assigned To mkv => kgv
2016-12-08 19:01 mkv Status reviewed => feedback
2016-12-08 19:13 git Note Added: 0061511
2016-12-08 19:16 kgv Note Added: 0061514
2016-12-08 19:16 kgv Assigned To kgv => bugmaster
2016-12-08 19:16 kgv Status feedback => reviewed
2016-12-08 19:39 mkv Assigned To bugmaster => mkv
2016-12-09 17:58 mkv Note Added: 0061530
2016-12-09 17:59 mkv Note Added: 0061531
2016-12-09 17:59 mkv Assigned To mkv => kgv
2016-12-09 17:59 mkv Status reviewed => assigned
2016-12-10 12:22 git Note Added: 0061551
2016-12-10 12:23 git Note Added: 0061552
2016-12-10 17:15 git Note Added: 0061557
2016-12-10 17:16 kgv Note Added: 0061558
2016-12-10 17:16 kgv Assigned To kgv => bugmaster
2016-12-10 17:16 kgv Status assigned => resolved
2016-12-10 17:16 kgv Status resolved => reviewed
2016-12-12 11:40 mkv Assigned To bugmaster => mkv
2016-12-12 13:05 git Note Added: 0061575
2016-12-12 17:51 mkv Note Added: 0061587
2016-12-12 17:51 mkv Note Added: 0061588
2016-12-12 17:51 mkv Assigned To mkv => kgv
2016-12-12 17:51 mkv Status reviewed => feedback
2016-12-12 17:54 kgv Note Added: 0061589
2016-12-12 17:54 kgv Assigned To kgv => bugmaster
2016-12-13 12:36 git Note Added: 0061607
2016-12-15 16:47 apn Status feedback => tested
2016-12-16 16:34 apn Changeset attached => occt master f838dac4
2016-12-16 16:34 apn Assigned To bugmaster => apn
2016-12-16 16:34 apn Status tested => verified
2016-12-16 16:34 apn Resolution open => fixed
2016-12-18 10:52 git Note Added: 0061776
2016-12-18 10:52 git Note Added: 0061777
2016-12-18 10:52 git Note Added: 0061778
2016-12-18 10:52 git Note Added: 0061779
2016-12-18 10:52 git Note Added: 0061780
2016-12-28 15:08 kgv Relationship added related to 0024999
2016-12-29 14:55 san Relationship added related to 0028323
2017-02-24 14:05 kgv Relationship added parent of 0028489
2017-08-16 14:07 kgv Relationship replaced parent of 0028323
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed
2017-10-27 12:43 kgv Relationship added parent of 0029267
2018-02-11 09:20 kgv Relationship added parent of 0029500


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker